###################################################
### chunk number 1: lib
###################################################
#line 66 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
library(xtable)
library(RTCA)


###################################################
### chunk number 2: dataset
###################################################
#line 72 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
ofile <-  system.file("extdata/testOutput.csv", package="RTCA")
pfile <- system.file("extdata/testOutputPhenoData.csv", package="RTCA")
pData <- read.csv(pfile, sep="\t", row.names="Well")
metaData <- data.frame(labelDescription=c(
                         "Rack number",
                         "siRNA catalogue number",
                         "siRNA gene symbol",
                         "siRNA EntrezGene ID",
                         "siRNA targeting accession"
                         ))
phData <- new("AnnotatedDataFrame", data=pData, varMetadata=metaData)
x <- parseRTCA(ofile, phenoData=phData)


###################################################
### chunk number 3: dims
###################################################
#line 87 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
xTimePointNo <- dim(x)[[1]]
xSampleNo <- dim(x)[[2]]


###################################################
### chunk number 4: smoothTransform
###################################################
#line 107 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
xSmooth <- smoothTransform(x)


###################################################
### chunk number 5: interpolationTranform
###################################################
#line 125 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
xInter <- interpolationTransform(x)


###################################################
### chunk number 6: derivTransform
###################################################
#line 140 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
xDeriv <- derivativeTransform(x)


###################################################
### chunk number 7: rgrTransform
###################################################
#line 154 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
xRgr <- rgrTransform(x)


###################################################
### chunk number 8: sessionInfo
###################################################
#line 160 "/private/tmp/RtmpXxUsfq/R.INSTALL576cc6cb/RTCA/inst/doc/RTCAtransformation.Rnw"
toLatex(sessionInfo())


